Subject: Xft2 on NetBSD 2 with current xsrc
To: None <>
From: Gabor Z. Papp <>
List: tech-pkg
Date: 11/06/2005 10:03:03

first the problem:

$ xft-config --libs
-L/usr/pkg/lib -lXft -lX11 -L/usr/pkg/lib -Wl,--rpath -Wl,/usr/pkg/lib
-lfreetype -lz -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -lfontconfig
-Wl,-R/usr/pkg/lib -L/usr/pkg/lib -L/usr/X11R6/lib -lXrender -lX11

Note the bad "-Wl,--rpath -Wl,/usr/pkg/lib" part.

Now the environment where I'm able to reproduce this:

NetBSD 2.0-cvs (uname says 2.0.3)
NetBSD 2-cvs (uname says 2.1)

pkgsrc 2005Q2
pkgsrc 2005Q3

And here comes the most important part I think:

xsrc current cvs.

The corresponding xsrc for NetBSD 2 is too old to me, since I would
like to use an NVidia 6600GT card with XFree86.

xsrc is the X server I use, and no additional xserver installed.

Dunno it is good idea to post here the pkg_info output, but here you
can find the current one: